#!/usr/bin/env ruby

$:.unshift File.expand_path( "../lib" )
$:.unshift File.expand_path( "../dep/optional" )
$:.unshift File.expand_path( "../dep/required" )

require 'test/unit'

ARGV[0] ? re = Regexp.new( ARGV[0].chomp ) : re = /\.rb/

Dir[ 'test_*' ].sort.each do |t| 
  next unless  t =~ /\.rb/
  require t if t =~ re
end
