#!/usr/bin/env ruby

$:.unshift File.expand_path( File.dirname( __FILE__ ) )

require 'net/smtp'

def run_suite( file_glob='test*.rb')
  Dir.chdir( "test" )
  if RUBY_PLATFORM =~ /mswin32/
    puts `call suite.rb #{ARGV[0]}` 
  else
    puts `./suite.rb #{ARGV[0]}` 
  end
  Dir.chdir( ".." )  
end

def send_mail( send_to_server , send_to , send_from_server, send_from,  content_file  )
   msgstr  = IO.read( content_file )
   Net::SMTP.start( "#{send_to_server}", 25, send_from_server ) do |smtp|
       smtp.send_message( msgstr, send_from, send_to )
     end
     File.delete( content_file )  
end



run_suite( ARGV[0] )

send_mail( "smtp.west.cox.net", 
           "domains_@neurogami.com", 
           "smtp.west.cox.net",
           "domains_@neurogami.com",
           "test/out.eml" )

send_mail( "smtp.west.cox.net", 
           "domains_@neurogami.com", 
           "smtp.west.cox.net",
           "domains_@neurogami.com",
           "test/out2.eml" )
